Home > Ruby > nokogiri インストールエラー対処

nokogiri インストールエラー対処

  • Posted by: master
  • Ruby

下記のようなエラーが出る場合

Gem files will remain installed in ......

下記ページが参考に。

https://github.com/fastlane/fastlane/issues/338

$ sudo gem install nokogiri -v '1.6.6.2' -- --use-system-libraries --with-xml2-include=/usr/include/libxml2 --with-xml2-lib=/usr/lib

バージョンが違う場合は -v のバージョン番号を書き換えて指定すれば入ります。

brew doctor で特にエラーが出ない、libxml 等々含めてインストールされている、という状態に上記コマンドで入りました。

Comments:0

コメントする

Home > Ruby > nokogiri インストールエラー対処

Search

Feeds

Return to page top